# Class CIM_ServiceProcess

CIM_ServiceProcess is an association used to establish relationships between Services and Processes. It is used to indicate if a Service is running in a particular Process. It is also used to indicate, via the ExecutionType property, if the Service started and is wholly responsible for the Process, or if the Service is running in an existing Process, perhaps with other unrelated Services, which is owned or started by a different entity.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ServiceProcess

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

CIM_ServiceProcess is an association used to establish relationships between Services and Processes. It is used to indicate if a Service is running in a particular Process. It is also used to indicate, via the ExecutionType property, if the Service started and is wholly responsible for the Process, or if the Service is running in an existing Process, perhaps with other unrelated Services, which is owned or started by a different entity.

UMLPackagePath | string | CIM::System::Processing
Version | string | 2.14.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ExecutionType | uint16 |

Description

string

Enumeration indicating how the Service runs in the context of, or owns the Process. "Unknown" indicates that the ExecutionType is not known. "Other" indicates that the ExecutionType does not match any of the values in the ExecutionType enumeration. "Executes in Existing Process" indicates that the Service is hosted in a Process that already exists in the system. The lifecycle of the Service is separate from that of the Process. "Exeutes as Independent Process" indicates that the Service is responsible for the lifecycle of the Process. When the Service is started, the Process is created. For example, ServletEngines can run "InProcess" within the existing Apache processes or "OutOfProcess" in its own servlet engine process. In this case the Apache process would communicate with the servlet engine process based on the content of the request. The association may be many to many.

ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Other, Executes in Existing Process, Executes as Independent Process

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Process | CIM_ServiceProcess | CIM_Process
Service | CIM_ServiceProcess | CIM_Service

## Class Methods